Skip to main content
GET
C#
This endpoint requires the payouts.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string | null

The ID of the merchant account to use for this request.

Example:

"default"

Query Parameters

cursor
string | null

A pointer to the page of results to return.

Example:

"ZXhhbXBsZTE"

limit
integer
default:20

The maximum number of items that are at returned.

Required range: 1 <= x <= 100
Example:

20

created_at_lte
string<date-time> | null

Filters the results to only payouts created before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.

Example:

"2022-01-01T12:00:00+08:00"

created_at_gte
string<date-time> | null

Filters the results to only payouts created after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.

Example:

"2022-01-01T12:00:00+08:00"

updated_at_lte
string<date-time> | null

Filters the results to only payouts updated before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.

Example:

"2022-01-01T12:00:00+08:00"

updated_at_gte
string<date-time> | null

Filters the results to only payouts updated after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.

Example:

"2022-01-01T12:00:00+08:00"

external_identifier
string | null

Filters the results to only the payouts that have an external_identifier that exactly matches this value.

Example:

"payout-12345"

payment_service_payout_id
string | null

Filters the results to only the payouts that have a payment_service_payout_id that exactly matches this value.

Example:

"po_1234567890"

status
enum<string>[] | null

Filters the results to only the payouts that have a status that matches with any of the provided status values.

Available options:
declined,
failed,
pending,
succeeded
Example:

"succeeded"

Response

Successful Response

items
PayoutSummary · object[]
required

A list of items returned for this request.

limit
integer
default:20

The number of items for this page.

Required range: 1 <= x <= 100
Example:

20

next_cursor
string | null

The cursor pointing at the next page of items.

Required string length: 1 - 1000
Example:

"ZXhhbXBsZTE"

previous_cursor
string | null

The cursor pointing at the previous page of items.

Required string length: 1 - 1000
Example:

"Xkjss7asS"